Google: leaks into old browser Android versions is not feasible




Google explains about why the repair more no safety in the browser of older Android versions. It would, according to the Internet giant is not feasible to seal still leaks because too much code needs to be modified.

On his Google+ page explains Google employee Adrian Ludwig’s new policy. By mail confirming that bugs in the browser of Android 4.3 and lower no longer be repaired. According to Ludwig is using this Android versions made ​​from an older version of WebKit, which is now very different from the last branch. Therefore must be adjusted very much code when discovered bugs to fix the problems.

According to Ludwig is used WebKit branch for the stock browser in Android 4.3 and lower now more than two years old. Because the necessary code over 5 million lines and be there every month large pieces of new code offered by developers, it is often impractical to adapt even older versions, says Google employee. He pointing out that doing adjustments per se may also be unsafe by the complexity of the code.

Google recommends developers use WebView, a way to render web content from app to content only over https again let give. In addition, developers could use their own rendering engine for WebView so outdated WebKit engine is bypassed.

Earlier this month, reported The Wall Street Journal that Google no longer problems in the stock browser on Android versions to 4.3 fixes. The browser that comes from Android 4.4 continues to support its retained by Google. That’s probably because the Internet giant from Android 4.4 uses a variation on its Chromium browser engine, making it easier can make adjustments. Updates can now be rolled directly from Google Play without the manufacturers themselves need to issue a software update.


In: Technology & Gadgets Asked By: [15509 Red Star Level]

Answer this Question

You must be Logged In to post an Answer.

Not a member yet? Sign Up Now »